# Download
echo "Initializing..."
gccver="gcc-4.9.2"
rt=`pwd`
cpucores=`nproc`
cd "$rt"
mkdir install
mkdir source
cd source


echo "Downloading gcc..."
wget -c "ftp://ftp.mirrorservice.org/sites/sourceware.org/pub/gcc/releases/$gccver/$gccver.tar.bz2"
tar xvf $gccver.tar.bz2
cd $gccver
./contrib/download_prerequisites
cd ..

echo "Downloading ghdl..."
git clone https://github.com/tgingold/ghdl


echo "Configuring ghdl..."
cd ghdl
./configure --with-gcc="$rt/source/$gccver" --prefix="$rt/install"
make copy-sources

echo "Configuring gcc..."
cd "$rt/source/$gccver"
./configure  --enable-libada  --enable-languages=c,vhdl --disable-multilib --disable-bootstrap --prefix="$rt/install"


echo "Compiling...."
make -j$cpucores

echo "Installing..."
make install

echo "done."

echo "NOW DO THE FOLLOWING:"
echo "cp $rt/install/bin/ghdl /usr/local/bin/ghdl"
echo "mkdir -p /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.2/"
echo "ln -s $rt/install/lib/gcc/x86_64-unknown-linux-gnu/4.9.2/vhdl /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.2/vhdl" # or cp.
